#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		platform	linux-g++
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt5-qtdeclarative
Version		:	5.15.14
Release		:	17.2.0.rel%{?dist}
Summary		:	Qt5 - QtDeclarative component

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers/rel)/single

Source0		:	%{sname}-everywhere-opensource-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gst-plugins-bad-devel
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-rpm-macros
BuildRequires	:	qt5-qtimageformats		= %{version}
BuildRequires	:	qt5-qtspeech-devel		= %{version}
BuildRequires	:	qt5-qtsvg-devel			= %{version}
BuildRequires	:	json-c-devel
BuildRequires	:	xorg-libXv

#-----------------------------------------------------------------------------
%description
Qt5 - QtDeclarative component
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.*
%{_qt5_libdir}/libQt5Qml.so.5*
%{_qt5_libdir}/libQt5QmlModels.so.5*
%{_qt5_libdir}/libQt5QmlWorkerScript.so.5*
%{_qt5_libdir}/libQt5Quick.so.5*
%{_qt5_libdir}/libQt5QuickWidgets.so.5*
%{_qt5_libdir}/libQt5QuickParticles.so.5*
%{_qt5_libdir}/libQt5QuickShapes.so.5*
%{_qt5_libdir}/libQt5QuickTest.so.5*
%{_qt5_plugindir}/qmltooling/
%{_qt5_archdatadir}/qml/Qt*
%{_qt5_archdatadir}/qml/builtins.qmltypes
 
#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
Development files for %{name}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_bindir}/qml*
%{_qt5_bindir}/qml*
%{_qt5_headerdir}/Qt*/
%{_qt5_libdir}/libQt5PacketProtocol.prl
%{_qt5_libdir}/libQt5Qml.so
%{_qt5_libdir}/libQt5Qml.prl
%{_qt5_libdir}/libQt5QmlModels.so
%{_qt5_libdir}/libQt5QmlDebug.prl
%{_qt5_libdir}/libQt5QmlDevTools.prl
%{_qt5_libdir}/libQt5QmlModels.prl
%{_qt5_libdir}/libQt5QmlWorkerScript.so
%{_qt5_libdir}/libQt5QmlWorkerScript.prl
%{_qt5_libdir}/libQt5Quick*.so
%{_qt5_libdir}/libQt5Quick*.prl
%{_qt5_libdir}/cmake/Qt5*/Qt5*Config*.cmake
%{_qt5_libdir}/metatypes/qt5*_metatypes.json
%{_qt5_libdir}/pkgconfig/Qt5*.pc
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_archdatadir}/mkspecs/features/*.prf
%{_qt5_libdir}/cmake/Qt5Qml/Qt5Qml_*Factory.cmake
%{_qt5_libdir}/cmake/Qt5QmlImportScanner/Qt5QmlImportScannerTemplate.cpp.in

#=============================================================================
%package		examples
Summary		:	Example files for %{name}


#-----------------------------------------------------------------------------
%description		examples
Example files for %{name}

#-----------------------------------------------------------------------------
%files			examples
%defattr(-,root,root,-)
%{_qt5_examplesdir}/

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PATH=%{_qt5_bindir}:$PATH
export LD_LIBRARY_PATH=%{_qt5_libdir}

%{__mkdir_p} _bld
pushd _bld > /dev/null
qmake							\
	"CONFIG+=debug"					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALL_ROOT="%{buildroot}"			\
	-C _bld						\
	install

# hardlink files to %{_bindir}, add -qt5 postfix to not conflict
%{__mkdir_p} %{buildroot}%{_bindir}
pushd %{buildroot}%{_qt5_bindir}
for i in * ; do
  case "${i}" in
    # qt4 conflicts
    qmlplugindump|qmlprofiler)
      ln -v  ${i} %{buildroot}%{_bindir}/${i}-qt5
      ln -sv ${i} ${i}-qt5
      ;;
    # qtchooser stuff
    qml|qmlbundle|qmlmin|qmlscene)
      ln -v  ${i} %{buildroot}%{_bindir}/${i}
      ln -v  ${i} %{buildroot}%{_bindir}/${i}-qt5
      ln -sv ${i} ${i}-qt5
      ;;
    *)
      ln -v  ${i} %{buildroot}%{_bindir}/${i}
      ;;
  esac
done
popd

#To remove libtool library and static library
find 							\
	%{buildroot}%{_qt5_libdir}			\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

#-----------------------------------------------------------------------------
%changelog
